Subject: Re: Screen Flash Problem
From: Neil Miller <[email-masked]>
To: tom duncan <[email-masked]>
Cc: [email-masked]
Date: Wed, 20 Jul 1994 15:11:19 +0000

On Tue, 19 Jul 1994, tom duncan wrote:

> OK guys,
> 	I know this must be easy but how do I stop the screen flashing
> when I load in an image onto another hidden screen.
> I have tried moving the screen down out of the way but the flash still
> happens.
> 
> Here is the code.
> 
> WBStartup
> NoCli
> 
> 
> S.b=2
> 
> 
> For a=1 To 20
>    f$="CDX:Temp/F/1.lres"
>    Gosub Action19
>    ShowScreen S : VWait 100
>    f$="CDX:Temp/F/2.mres"
>    Gosub Action19 : VWait 100
>    ShowScreen S
> Next
> End
> 
> 
> Action19:
>    ; Load Screen
>    S=5-S
>    ; load or initialise a screen into S
>    If Len(f$)>0 AND Exists(f$)
>       ; Load image
>       ILBMInfo f$
>       w.w=ILBMWidth
>       h.w=ILBMHeight
>       d.w=ILBMDepth
>       Id.l=ILBMViewMode
>       Free Window S : Free Screen S : Free BitMap S
>       BitMap S,w,h,d
>       Screen S,0,0,w,h,d,Id,"",1,2,S
                   ^Try setting this to 800 or so that way it's hidden 
                    off the bottom of the screen. 
                    Then do a screen move S,0,-800 to re-display it.
>       PalRGB S,0,0,0,0
>       HideScreen S
>       ; Now Open Window onto Screen
>       Window S,0,0,w,h,$0900,"",1,2,S
>       LoadScreen S,f$,S
>       Use Palette S
>       OK.b=True
>    Else
>       r=Request("ERROR","Cant open file "+f$,"BYE") : End
>       OK.b=False
>    EndIf
> Return
> 
> Any ideas anyone
> And any quicker ways to load an IFF image.
> 
> Tom Duncan
> [email-masked]
> 
> 
> 
> 
                          \|/
                         -O"O-
----------------------oOO-(_)-OOo------------------------
                         T E X
                [email-masked]